> For the complete documentation index, see [llms.txt](https://docs.metahumansdk.io/metahuman-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metahumansdk.io/metahuman-sdk/reference/metahumansdk-unreal-engine-plugin/changelog.md).

# Changelog

## v 1.7.0:

* implemented Combo Stream, when animation chunks are receiving with Combo Request.
* added Talk Component and integrated to the Demo maps. It minimizes code quantity to the API integration.
* added resuming streams mechanics in case animation chunks delay.
* fixed crashes with access violation to read stream response.
* fixed jitter when animation chunks joining with mockup data.

## v 1.6.0:

* upgraded to 5.2 Unreal Engine version.
* added to the Plugin Settings option to enable compression after TTS and loading sound from file.
* added Talk Component for convenient uses with MetaHumans.
* fixed crash when changing maps while ATL streaming.

## v 1.5.7:

* ability to load sound wave from file with proper preparation for ATL.
* fixed crash when stop play in Editor while ATL streaming.
* fixed auto update HTTP Manager configs.

## v 1.5.6:

* improved animation quality for ATL method;
* added support for procedural waves with ATL (useful when sound received from other plugins like RuntimeAudioImporter);
* fixed 408 errors with ATL in the build and after TTS;
* fixed compression of an audio data after TTS;
* expanded ATL stream request with success and error data;
* audio data in the requests are verified before sending to the server;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metahumansdk.io/metahuman-sdk/reference/metahumansdk-unreal-engine-plugin/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
